Wed, 12 Aug 2020 15:59:14 UTC

Information for build php-brumann-polyfill-unserialize-1.0.3-1.el7

ID1288266
Package Namephp-brumann-polyfill-unserialize
Version1.0.3
Release1.el7
Epoch
Sourcegit+https://src.fedoraproject.org/rpms/php-brumann-polyfill-unserialize.git#056f0237eeac3645922caa34bbb397dc16c6feaa
SummaryBackports unserialize options introduced in PHP 7.0
DescriptionBackports unserialize options introduced in PHP 7.0 to older PHP versions. This was originally designed as a Proof of Concept for Symfony Issue [#21090](https://github.com/symfony/symfony/pull/21090). You can use this package in projects that rely on PHP versions older than PHP 7.0. In case you are using PHP 7.0+ the original unserialize() will be used instead. From the [documentation](https://secure.php.net/manual/en/function.unserialize.php): > Warning: Do not pass untrusted user input to unserialize(). Unserialization > can result in code being loaded and executed due to object instantiation and > autoloading, and a malicious user may be able to exploit this. This warning holds true even when `allowed_classes` is used. Autoloader: /usr/share/php/Brumann/Polyfill/autoload.php
Built bysiwinski
State complete
Volume DEFAULT
StartedSun, 16 Jun 2019 19:46:40 UTC
CompletedSun, 16 Jun 2019 19:48:36 UTC
Taskbuild (epel7-candidate, /rpms/php-brumann-polyfill-unserialize.git:056f0237eeac3645922caa34bbb397dc16c6feaa)
Extra{'source': {'original_url': 'git+https://src.fedoraproject.org/rpms/php-brumann-polyfill-unserialize.git#056f0237eeac3645922caa34bbb397dc16c6feaa'}}
Tags
epel7
RPMs
src
php-brumann-polyfill-unserialize-1.0.3-1.el7.src.rpm (info) (download)
noarch
php-brumann-polyfill-unserialize-1.0.3-1.el7.noarch.rpm (info) (download)
Logs
noarch
build.log
root.log
hw_info.log
state.log
mock_output.log
noarch_rpmdiff.json
Changelog * Wed May 08 2019 Shawn Iwinski <shawn@iwin.ski> - 1.0.3-1 - Initial package